Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Cryptographic convertion helper.

Converting private keys into byte arrays may cause security risks. You should always zeroize buffers with sensitive informations after their use.

`// create a 1024 bits key pair RSA rsa = RSA.Create (); // convert the key pair into a CryptoAPI PRIVATEKEYBLOB byte[] keypair = CryptoConvert.ToCapiKeyBlob (rsa, true); // save the key pair to a file using (FileStream fs = File.OpenWrite ("my.key")) { fs.Write (keypair, 0, keypair.Length); } // zeroize the key pair from memory Array.Clear (keypair, 0, keypair.Length); // note: the private key still exists in the RSA instance!`
- Method
  System.Security.Cryptography.RSA `` an array of bytes containing either a PUBLICKEYBLOB or a PRIVATEKEYBLOB structure. Convert the key from either a CryptoAPI PUBLICKEYBLOB structure or PRIVATEKEYBLOB structure to a RSA instance. a instance containing the decoded key. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.RSA `` `` an array of bytes containing either a PUBLICKEYBLOB or a PRIVATEKEYBLOB structure. a representing the offset where the key blob starts in the specified buffer. Convert the key from either a CryptoAPI PUBLICKEYBLOB structure or PRIVATEKEYBLOB structure to a RSA instance. a instance containing the decoded key. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Security.Cryptography.DSA `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Security.Cryptography.DSA `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Security.Cryptography.RSA `` an array of bytes containing a PRIVATEKEYBLOB structure. Convert the key from the CryptoAPI PRIVATEKEYBLOB structure to a RSA instance. a instance containing the decoded key. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.RSA `` `` an array of bytes containing a PRIVATEKEYBLOB structure. a representing the offset where the key blob starts in the specified buffer. Convert the key from the CryptoAPI PRIVATEKEYBLOB structure to a RSA instance. a instance containing the decoded key. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Security.Cryptography.DSA `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Security.Cryptography.DSA `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Security.Cryptography.RSA `` an array of bytes containing a PUBLICKEYBLOB structure. Convert the public key from the CryptoAPI PUBLICKEYBLOB structure to a RSA instance. a instance containing the decoded key. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.RSA `` `` an array of bytes containing a PUBLICKEYBLOB structure. a representing the offset where the key blob starts in the specified buffer. Convert the public key from the CryptoAPI PUBLICKEYBLOB structure to a RSA instance. a instance containing the decoded key. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Security.Cryptography.DSA `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Security.Cryptography.DSA `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` an hexadecimal without any separator. The string length must be a multiple of 2. Convert an hexadecimal string to an array of bytes. the converted data as an array of bytes. `byte[] data = CryptoConvert.FromHex ("DEADC0DE");` 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` the instance to be converted. True if the private key is to be converted, resulting in a PRIVATEKEYBLOB. False if only the public is to be converted, resulting in a PUBLICKEYBLOB. Convert an AsymmetricAlgorithm instance to a CryptoAPI blob structure. an array of bytes containing either a PRIVATEKEYBLOB or a PUBLICKEYBLOB structure.

  This version only support RSA key.

  Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Byte[] `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` `` the instance to be converted. True if the private key is to be converted, resulting in a PRIVATEKEYBLOB. False if only the public is to be converted, resulting in a PUBLICKEYBLOB. Convert an RSA instance to a CryptoAPI blob structure. an array of bytes containing either a PRIVATEKEYBLOB or a PUBLICKEYBLOB structure. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Byte[] `` To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` the instance to be converted. Convert an RSA instance to a CryptoAPI PRIVATEKEYBLOB structure. an array of bytes containing a PRIVATEKEYBLOB structure. Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Byte[] `` To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` the instance to be converted. Convert an RSA instance to a CryptoAPI PUBLICKEYBLOB structure. an array of bytes containing a PUBLICKEYBLOB structure.

  The RSA instance may either be a key pair, with both it's private and public key, or only a public key.

  Many formats, like PVK (private key files) and SNK (strongname key files), uses CryptoAPI structures.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` an array of bytes to be converted. Convert an array of bytes to an hexadecimal string. a representing the specified data in hexadecimal. No separator is used. `byte[] data = new byte[] { 0xDE, 0xAD, 0xC0, 0xDE }; string s = CryptoConvert.ToHex (data); // s == "DEADC0DE"` 1.0.5000.0 2.0.0.0